Bug 164430 - AX: [ATK] Wrong selected element at a given index in a list box (redux)
Summary: AX: [ATK] Wrong selected element at a given index in a list box (redux)
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Accessibility (show other bugs)
Version: WebKit Nightly Build
Hardware: All All
: P2 Normal
Assignee: Joanmarie Diggs (irc: joanie)
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2016-11-04 13:47 PDT by Joanmarie Diggs (irc: joanie)
Modified: 2016-11-09 10:28 PST (History)
11 users (show)

See Also:


Attachments
Patch (11.98 KB, patch)
2016-11-04 14:14 PDT, Joanmarie Diggs (irc: joanie)
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews103 for mac-yosemite (911.67 KB, application/zip)
2016-11-04 15:13 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews105 for mac-yosemite-wk2 (847.82 KB, application/zip)
2016-11-04 15:16 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews114 for mac-yosemite (1.78 MB, application/zip)
2016-11-04 15:22 PDT, Build Bot
no flags Details
Patch (12.91 KB, patch)
2016-11-05 02:45 PDT, Joanmarie Diggs (irc: joanie)
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Joanmarie Diggs (irc: joanie) 2016-11-04 13:47:08 PDT
Unfortunately I didn't notice bug 129039 or its associated "fix." However, the "bug" reported there is not a bug.

1. The AtkSelection documentation [1] states that atk_selection_ref_selection() takes "a gint specifying the index in the selection set. (e.g. the ith selection as opposed to the ith child)."

2. The method changed/broken even has a comment [2] which states "// i is the ith selection as opposed to the ith child."

3. There is different API, namely atk_object_ref_accessible_child(), when the ith child from the set of all children is sought. [3]

It's not clear to me what prompted the filing of, and commmitted change for, bug 129039. But that change needs to be undone.

[1] https://developer.gnome.org/atk/stable/AtkSelection.html#atk-selection-ref-selection
[2] https://trac.webkit.org/browser/trunk/Source/WebCore/accessibility/atk/WebKitAccessibleInterfaceSelection.cpp?rev=164577#L99
[3] https://developer.gnome.org/atk/stable/AtkObject.html#atk-object-ref-accessible-child
Comment 1 Radar WebKit Bug Importer 2016-11-04 13:47:32 PDT
<rdar://problem/29117961>
Comment 2 Joanmarie Diggs (irc: joanie) 2016-11-04 14:14:24 PDT
Created attachment 293926 [details]
Patch
Comment 3 Build Bot 2016-11-04 15:13:37 PDT
Comment on attachment 293926 [details]
Patch

Attachment 293926 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.webkit.org/results/2463649

New failing tests:
accessibility/select-element-at-index.html
Comment 4 Build Bot 2016-11-04 15:13:40 PDT
Created attachment 293940 [details]
Archive of layout-test-results from ews103 for mac-yosemite

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews103  Port: mac-yosemite  Platform: Mac OS X 10.10.5
Comment 5 Build Bot 2016-11-04 15:16:29 PDT
Comment on attachment 293926 [details]
Patch

Attachment 293926 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.webkit.org/results/2463657

New failing tests:
accessibility/select-element-at-index.html
Comment 6 Build Bot 2016-11-04 15:16:32 PDT
Created attachment 293943 [details]
Archive of layout-test-results from ews105 for mac-yosemite-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews105  Port: mac-yosemite-wk2  Platform: Mac OS X 10.10.5
Comment 7 Build Bot 2016-11-04 15:22:10 PDT
Comment on attachment 293926 [details]
Patch

Attachment 293926 [details] did not pass mac-debug-ews (mac):
Output: http://webkit-queues.webkit.org/results/2463658

New failing tests:
accessibility/select-element-at-index.html
Comment 8 Build Bot 2016-11-04 15:22:13 PDT
Created attachment 293944 [details]
Archive of layout-test-results from ews114 for mac-yosemite

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews114  Port: mac-yosemite  Platform: Mac OS X 10.10.5
Comment 9 Joanmarie Diggs (irc: joanie) 2016-11-05 02:45:50 PDT
Created attachment 293991 [details]
Patch
Comment 10 Joanmarie Diggs (irc: joanie) 2016-11-08 02:04:46 PST
Comment on attachment 293991 [details]
Patch

Chris, when you have a chance, would you please review this? Thanks in advance!
Comment 11 WebKit Commit Bot 2016-11-09 10:28:51 PST
Comment on attachment 293991 [details]
Patch

Clearing flags on attachment: 293991

Committed r208442: <http://trac.webkit.org/changeset/208442>
Comment 12 WebKit Commit Bot 2016-11-09 10:28:56 PST
All reviewed patches have been landed.  Closing bug.